LIRC libraries: opts Struct Reference

LIRC libraries Linux Infrared Remote Control

Loading...
Searching...
No Matches
Public Attributes | List of all members
opts Struct Reference

Parsed run-time options, reflects long_options and the command line, mostly a const object. More...

`#include <irrecord.h>`

## Public Attributes
int | dynamic_codes
int | analyse
int | force
int | disable_namespace
const char * | device
int | get_pre
int | get_post
int | test
int | invert
int | trail
int | list_namespace
int | update
const char * | filename
const char * | tmpfile
const char * | backupfile
const char * | driver
loglevel_t | loglevel
int | using_template
char | commandline [128]

## Detailed Description

Parsed run-time options, reflects long_options and the command line, mostly a const object.

Definition at line 153 of file irrecord.h.

## Member Data Documentation

## ◆ analyse

int opts::analyse

Definition at line 155 of file irrecord.h.

## ◆ backupfile

const char* opts::backupfile

Definition at line 168 of file irrecord.h.

## ◆ commandline

char opts::commandline[128]

Definition at line 172 of file irrecord.h.

## ◆ device

const char* opts::device

Definition at line 158 of file irrecord.h.

## ◆ disable_namespace

int opts::disable_namespace

Definition at line 157 of file irrecord.h.

## ◆ driver

const char* opts::driver

Definition at line 169 of file irrecord.h.

## ◆ dynamic_codes

int opts::dynamic_codes

Definition at line 154 of file irrecord.h.

## ◆ filename

const char* opts::filename

Definition at line 166 of file irrecord.h.

## ◆ force

int opts::force

Definition at line 156 of file irrecord.h.

## ◆ get_post

int opts::get_post

Definition at line 160 of file irrecord.h.

## ◆ get_pre

int opts::get_pre

Definition at line 159 of file irrecord.h.

## ◆ invert

int opts::invert

Definition at line 162 of file irrecord.h.

## ◆ list_namespace

int opts::list_namespace

Definition at line 164 of file irrecord.h.

## ◆ loglevel

loglevel_t opts::loglevel

Definition at line 170 of file irrecord.h.

## ◆ test

int opts::test

Definition at line 161 of file irrecord.h.

## ◆ tmpfile

const char* opts::tmpfile

Definition at line 167 of file irrecord.h.

## ◆ trail

int opts::trail

Definition at line 163 of file irrecord.h.

## ◆ update

int opts::update

Definition at line 165 of file irrecord.h.

## ◆ using_template

int opts::using_template

Definition at line 171 of file irrecord.h.

The documentation for this struct was generated from the following file:

- /tmp/work/src/lirc-0.10.2/lib/irrecord.h